import { html as c } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as g } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (p, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, i = p.length - 1, n; i >= 0; i--)
    (n = p[i]) && (e = (r ? n(t, s, e) : n(e)) || e);
  return r && e && f(t, s, e), e;
};
let o = class extends g {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--loadingLarge", this.class = "c-pieIcon c-pieIcon--loadingLarge", this.name = "IconLoadingLarge";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--loadingLarge"><path d="M28.25 16A12.25 12.25 0 1 1 16 3.75V5.5A10.5 10.5 0 1 0 26.5 16h1.75ZM9 16h1.75A5.25 5.25 0 1 1 16 21.25V23a7 7 0 1 0-7-7Z"></path></svg>`;
  }
};
l([
  a({ type: String, reflect: !0 })
], o.prototype, "size", 2);
l([
  a({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = l([
  h("icon-loading-large")
], o);
export {
  o as IconLoadingLarge
};
